> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all evidences for a batch

> Returns all evidences associated with a batch through its model run.



## OpenAPI

````yaml GET /batches/{batch_id}/evidences
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /batches/{batch_id}/evidences:
    get:
      summary: List all evidences for a batch
      description: Returns all evidences associated with a batch through its model run.
      operationId: list-batch-evidences
      parameters:
        - name: batch_id
          in: path
          description: Batch friendly ID (e.g., bat_abc123def456)
          schema:
            type: string
          required: true
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 1
                        url: https://app.gomangrove.com/....
                        evidence_type: file
                        name: Receipt.pdf
                      - id: 2
                        url: https://www.example.com
                        evidence_type: url
                        name: External Reference
                    info:
                      items: 2
                      page_size: 10
                      total_items: 2
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort: []
                      filter: []
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        url:
                          type: string
                        evidence_type:
                          type: string
                          enum:
                            - file
                            - url
                        name:
                          type: string
                  info:
                    type: object
                    properties:
                      items:
                        type: integer
                      page_size:
                        type: integer
                      total_items:
                        type: integer
                      current_page:
                        type: integer
                      next_page:
                        type: integer
                        nullable: true
                      previous_page:
                        type: integer
                        nullable: true
                      total_pages:
                        type: integer
                      sort:
                        type: array
                        items: {}
                      filter:
                        type: array
                        items: {}
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````